Download it now!
Bug 62537 - error in local help for AutoText macro
Summary: error in local help for AutoText macro
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
4.0.1.2 release
Hardware: All All
: lowest trivial
Assignee: Andras Timar
URL:
Whiteboard: target:4.1.0
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-19 19:18 UTC by Paul Weiss
Modified: 2013-03-23 12:27 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Paul Weiss 2013-03-19 19:18:45 UTC
local help > Using AutoText page > 3rd section:

step 2 says:
2. In the Macro from list, double-click "LibreOffice Macros - Gimmicks".

That implies that there is a single entity labeled "LibreOffice Macros - Gimmicks", which is not the case.

I think it would be better to say something like:
2. In the Macro from list, select LibreOffice Macros > Gimmicks.
Comment 1 Joel Madero 2013-03-20 15:52:18 UTC
Not sure what convention is for documentation but I'll mark as NEW and add Jean to the convo.

Jean - opinion? Should be incredibly simple to solve but not sure if convention is to have it this way, in which case, changing might be a major headache
Comment 2 Paul Weiss 2013-03-20 16:14:17 UTC
(In reply to comment #1)
It does not seem that the convention is to do it this way, as step 1 reads:

1. Choose Tools - Macros - Organize Macros - LibreOffice Basic.

with the menu choices bolded, and no quotation marks.
Comment 3 Paul Weiss 2013-03-20 16:15:42 UTC
What does it take to modify local help? Is this something I as a non-programmer could do? Agreed that this bug is quite minor, but if I can work on local help, I could look at other local help bugs.
Comment 4 Joel Madero 2013-03-20 16:18:46 UTC
Jean should definitely be able to help you get involved with documentation stuff :) We could definitely use any help that you can provide, I doubt programming is necessary for these kinds of issues
Comment 5 Andras Timar 2013-03-23 12:12:35 UTC
(In reply to comment #3)
> What does it take to modify local help? Is this something I as a
> non-programmer could do? Agreed that this bug is quite minor, but if I can
> work on local help, I could look at other local help bugs.

Please do. It is a big help, if you report bugs in the first place. But you can also get involved in fixing them. No programmer skills are required, but you need to learn to use git and gerrit, and basic understanding of xml is required, because help source files are in xml.
Comment 6 Commit Notification 2013-03-23 12:27:52 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=866c0eca7cda0f8f3939076e11820ebdaf4870c3

fdo#62537 To Print a List of AutoText Entries



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.